Show / Hide Table of Contents

# Struct Weapon

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Scene

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Weapon

### Fields

| Improve this Doc View Source

#### CharacterBase

##### Declaration

    public CharacterBase CharacterBase

##### Field Value

Type | Description
--- | ---
CharacterBase |

| Improve this Doc View Source

#### DecalId

##### Declaration

    public byte DecalId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MaterialId

##### Declaration

    public byte MaterialId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ModelSetId

##### Declaration

    public ushort ModelSetId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### ModelUnknown

##### Declaration

    public ushort ModelUnknown

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SecondaryId

##### Declaration

    public ushort SecondaryId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Variant

##### Declaration

    public ushort Variant

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### VfxId

##### Declaration

    public byte VfxId

##### Field Value

Type | Description
--- | ---
System.Byte |